function SpawnObject(objectname)
    local Player = GetPlayerPed(-1)
    local x, y, z = table.unpack(GetEntityCoords(Player, true))
    local heading = GetEntityHeading(Player)
   
    RequestModel(objectname)

    while not HasModelLoaded(objectname) do
	    Citizen.Wait(1)
    end
    local obj = CreateObject(GetHashKey(objectname), x, y, z-1.90, true, true, true)
    PlaceObjectOnGroundProperly(obj)
    SetEntityHeading(obj, heading)
    FreezeEntityPosition(obj, true)
    TriggerEvent("chatMessage", "", {255,255,255}, "^2Object Spawned.")
end

RegisterCommand('barrier', function(source, args)
    SpawnObject('prop_mp_barrier_02b')
end, false)

RegisterCommand('cone', function(source, args)
    SpawnObject('prop_mp_cone_01')
end, false)

RegisterCommand('chair1', function(source, args)
    SpawnObject('v_club_officechair')
end, false)

RegisterCommand('rock1', function(source, args)
    SpawnObject('prop_rock_2_a')
end, false)

RegisterCommand('chair2', function(source, args)
    SpawnObject('p_soloffchair_s')
end, false)